class ToursController < ApplicationController
  load_and_authorize_resource

  respond_to :html, :json
  def index
    @tours = Tour.ordained.all
    respond_with @tours
  end

  def show
    @tour = Tour.find(params[:id])
    @tour.visit! :by => request.try(:remote_ip)

    respond_with @tour do |format|
      format.html { render layout: ((request.xhr?) ? false : 'full_screen') }
    end
  end
end
