class CreateMarcations < ActiveRecord::Migration
  def up
    create_table :marcations do |t|
      t.belongs_to :tour
      t.integer :top
      t.integer :left
      t.string :body
      t.text :url

      t.timestamps
    end
    add_index :marcations, :tour_id

    Marcation.create_translation_table! :body => :string, :url => :text
  end

  def dow
    drop_table :marcations
    Marcation.drop_translation_table!
  end
end
